Subject: Re: [PATCH] net: Export __netdev_pick_tx so that it can be used in modules

From: Alexander Duyck <[email-masked]>
Date: Fri, 11 Jan 2013 14:20:27 -0800

On 01/11/2013 11:02 AM, John Fastabend wrote:
> On 1/11/2013 10:38 AM, Alexander Duyck wrote:
>> When testing with FCoE enabled we discovered that I had not exported
>> __netdev_pick_tx.  As a result ixgbe doesn't build with the RFC patches
>> applied because ixgbe_select_queue was calling the function.  This change
>> corrects that build issue by correctly exporting __netdev_pick_tx so it
>> can be used by modules.
>>
>> Signed-off-by: Alexander Duyck <[email-masked]>
>> ---
> 
> Hi Alex,
> 
> If we get XPS to play nicely with the traffic class schemes we
> can just remove select_queue completely.
> 
> I'll take a look tomorrow.
> 
> Thanks,
> John

Hi John,

It would be great if we could drop it entirely.

I just to make sure we are on the same page.  What you are saying is
that we could do that in addition to this patch correct?  I'm pretty
sure we will still need this patch in order to make this interface
available for any other drivers that would want to make use of transmit
packet steering instead of just the Tx hash.

Thanks,

Alex